## ros-humble-rmf-building-sim-common 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_building_sim_common)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmf_door_msgs REQUIRED)
find_package(rmf_lift_msgs REQUIRED)
find_package(rmf_building_map_msgs REQUIRED)
find_package(menge_vendor REQUIRED)

include(GNUInstallDirs)

###############################
# Utils                       #
###############################

add_library(rmf_building_sim_utils SHARED ${PROJECT_SOURCE_DIR}/src/utils.cpp)

target_include_directories(rmf_building_sim_utils
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

###############################
# door stuff
###############################

add_library(door_common SHARED src/door_common.cpp)

ament_target_dependencies(door_common
    rclcpp
    rmf_door_msgs
)

target_include_directories(door_common
 PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(door_common
    rmf_building_sim_utils
)

###############################
# lift stuff
###############################

add_library(lift_common SHARED src/lift_common.cpp)

ament_target_dependencies(lift_common
   rclcpp
   rmf_door_msgs
   rmf_lift_msgs
)

target_include_directories(lift_common
 PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(lift_common
    rmf_building_sim_utils
)

###############################
# crowd simulator stuff
###############################
add_library(crowd_simulator_common
  SHARED
  src/crowd_simulator_common.cpp
)

target_include_directories(crowd_simulator_common
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${menge_vendor_INCLUDE_DIRS}
)

ament_target_dependencies(crowd_simulator_common
  menge_vendor
  rclcpp
)

#crowd_simulation_common_install
ament_export_targets(crowd_simulator_common HAS_LIBRARY_TARGET)
install(
  TARGETS crowd_simulator_common
  EXPORT crowd_simulator_common
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

###############################
# install stuff
###############################
ament_export_dependencies(
  rclcpp
  rmf_door_msgs
  rmf_lift_msgs
  rmf_building_map_msgs
  menge_vendor
)

ament_export_include_directories(include)
ament_export_targets(rmf_building_sim_utils HAS_LIBRARY_TARGET)
ament_export_targets(door_common HAS_LIBRARY_TARGET)
ament_export_targets(lift_common HAS_LIBRARY_TARGET)

install(
  TARGETS rmf_building_sim_utils
  EXPORT rmf_building_sim_utils
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS door_common 
  EXPORT door_common 
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS lift_common
  EXPORT lift_common 
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  DIRECTORY include/rmf_building_sim_common
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-building-sim-common (2.0.2-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-building-sim-common (2.0.1-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Don't print warning if lift is going to same floor (#89 <https://github.com/open-rmf/rmf_simulation/pull/89>)
  * Contributors: Luca Della Vedova, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-building-sim-common (2.0.0-1jammy) jammy; urgency=high

  * Use ECM instead of traversing sdformat parent for Gazebo doors (#80 <https://github.com/open-rmf/rmf_simulation/pull/80>)
  * Change default lift current mode to AGV (#52 <https://github.com/open-rmf/rmf_simulation/pull/52>)
  * Contributors: Arjo Chakravarty, Charayaphan Nakorn Boon Han, Luca Della Vedova

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-humble-rmf-building-sim-common (1.3.0-1jammy) jammy; urgency=high

  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Changes for galactic (#25 <https://github.com/open-rmf/rmf_simulation/pull/25>)
  * Removing unnecessary qt5 dependency from CMakeLists (#22 <https://github.com/open-rmf/rmf_simulation/pull/22>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/pull/19>)
  * Start using ros-tooling for build and test workflow, added coverage, tsan (#14 <https://github.com/open-rmf/rmf_simulation/pull/14>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/pull/10>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/pull/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * Refactor and cleanup utils (#6 <https://github.com/open-rmf/rmf_simulation/pull/6>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-humble-rmf-building-sim-common (1.2.0-1jammy) jammy; urgency=high

  * Add pausing feature to slotcar plugin (#267 <https://github.com/osrf/traffic_editor/pull/267>)
  * dropping eloquent support (#277 <https://github.com/osrf/traffic_editor/pull/277>)
  * Fix undefined initialization of _old_ang_vel and _old_lin_vel (#274 <https://github.com/osrf/traffic_editor/pull/274>)
  * idle mode when slotcar is stationary (#264 <https://github.com/osrf/traffic_editor/pull/264>)
  * Debug/slotcar battery and mode (#261 <https://github.com/osrf/traffic_editor/pull/261>)
  * Added ament exports for crowd simulation common (#260 <https://github.com/osrf/traffic_editor/pull/260>)
  * Make slotcar rotations follow trajectory yaw angle (#254 <https://github.com/osrf/traffic_editor/pull/254>)
  * Fixed RobotMode (#252 <https://github.com/osrf/traffic_editor/pull/252>)
  * Fix namespace for rmf charging plugin (#253 <https://github.com/osrf/traffic_editor/pull/253>)
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/pull/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/pull/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Grey, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Rushyendra Maganty, Yadunund, youliang

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 05 Jan 2021 16:00:00 -0000

ros-humble-rmf-building-sim-common (1.1.0-1jammy) jammy; urgency=high

  * Crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/pull/218>)
  * Improve lift initial floor definition (#221 <https://github.com/osrf/traffic_editor/pull/221>)
  * Update lift session id in lift plugin (#223 <https://github.com/osrf/traffic_editor/pull/223>)
  * Ignition plugins and modularization of doors and slotcar (#138 <https://github.com/osrf/traffic_editor/pull/138>)
  * Adding lift plugin for ignition (#171 <https://github.com/osrf/traffic_editor/pull/171>)
  * stagger door_state publishing
  * Contributors: Charayaphan Nakorn Boon Han, Guoliang (Fred) Shao, Kevin_Skywalker, Luca Della Vedova, MakinoharaShouko

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-building-sim-common
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-menge-vendor, ros-humble-rclcpp, ros-humble-rmf-building-map-msgs, ros-humble-rmf-door-msgs, ros-humble-rmf-lift-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-building-sim-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-menge-vendor, ros-humble-rclcpp, ros-humble-rmf-building-map-msgs, ros-humble-rmf-door-msgs, ros-humble-rmf-lift-msgs, ros-humble-ros-workspace
Description: Common utility functions for Gazebo-classic and Gazebo building plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-building-sim-common//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
